org.apache.xpath.objects

## Class XBoolean

- java.lang.Object
- - org.apache.xpath.Expression
  - - org.apache.xpath.objects.XObject
    - - org.apache.xpath.objects.XBoolean

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, SourceLocator, ExpressionNode, XPathVisitable

Direct Known Subclasses:
  XBooleanStatic

    public class XBoolean
    extends XObject

This class represents an XPath boolean object, and is capable of converting the boolean to other types, such as a string.

See Also:
  Serialized Form
Usage:
  **For advanced use only**

### Field Summary

Fields
`static XBoolean` `S_FALSE` A true boolean object so we don't have to keep creating them.
`static XBoolean` `S_TRUE` A true boolean object so we don't have to keep creating them.

### Fields inherited from class org.apache.xpath.objects.XObject

`CLASS_BOOLEAN, CLASS_NODESET, CLASS_NULL, CLASS_NUMBER, CLASS_RTREEFRAG, CLASS_STRING, CLASS_UNKNOWN, CLASS_UNRESOLVEDVARIABLE`

### Constructor Summary

Constructors
Constructor and Description
`XBoolean(boolean b)` Construct a XBoolean object.
`XBoolean(java.lang.Boolean b)` Construct a XBoolean object.

### Method Summary

Methods
`boolean` `bool()` Cast result object to a boolean.
`boolean` `equals(XObject obj2)` Tell if two objects are functionally equal.
`int` `getType()` Tell that this is a CLASS_BOOLEAN.
`java.lang.String` `getTypeString()` Given a request type, return the equivalent string.
`double` `num()` Cast result object to a number.
`java.lang.Object` `object()` Return a java object that's closest to the representation that should be handed to an extension.
`java.lang.String` `str()` Cast result object to a string.

### Methods inherited from class org.apache.xpath.objects.XObject

`allowDetachToRelease, appendToFsb, boolWithSideEffects, callVisitors, castToType, create, create, deepEquals, destruct, detach, dispatchCharactersEvents, execute, fixupVariables, getFresh, greaterThan, greaterThanOrEqual, iter, lessThan, lessThanOrEqual, mutableNodeset, nodelist, nodeset, notEquals, numWithSideEffects, reset, rtf, rtf, rtree, rtree, toString, xstr`

### Methods inherited from class org.apache.xpath.Expression

`asIterator, asIteratorRaw, asNode, assertion, bool, canTraverseOutsideSubtree, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### S_TRUE

    public static final XBoolean S_TRUE

A true boolean object so we don't have to keep creating them.

Usage:
  **For internal use only**

#### S_FALSE

    public static final XBoolean S_FALSE

A true boolean object so we don't have to keep creating them.

Usage:
  **For internal use only**

### Constructor Detail

#### XBoolean

    public XBoolean(boolean b)

Construct a XBoolean object.

Parameters:
  `b` - Value of the boolean object

#### XBoolean

    public XBoolean(java.lang.Boolean b)

Construct a XBoolean object.

Parameters:
  `b` - Value of the boolean object

### Method Detail

#### getType

    public int getType()

Tell that this is a CLASS_BOOLEAN.

Overrides:
  `getType` in class `XObject`
Returns:
  type of CLASS_BOOLEAN

#### getTypeString

    public java.lang.String getTypeString()

Given a request type, return the equivalent string. For diagnostic purposes.

Overrides:
  `getTypeString` in class `XObject`
Returns:
  type string "#BOOLEAN"

#### num

    public double num()

Cast result object to a number.

Overrides:
  `num` in class `XObject`
Returns:
  numeric value of the object value

#### bool

    public boolean bool()

Cast result object to a boolean.

Overrides:
  `bool` in class `XObject`
Returns:
  The object value as a boolean

#### str

    public java.lang.String str()

Cast result object to a string.

Overrides:
  `str` in class `XObject`
Returns:
  The object's value as a string

#### object

    public java.lang.Object object()

Return a java object that's closest to the representation that should be handed to an extension.

Overrides:
  `object` in class `XObject`
Returns:
  The object's value as a java object

#### equals

    public boolean equals(XObject obj2)

Tell if two objects are functionally equal.

Overrides:
  `equals` in class `XObject`
Parameters:
  `obj2` - Object to compare to this
Returns:
  True if the two objects are equal
Throws:
  `TransformerException`